/v1/spaces/{space_id}/collections/{collection_id}/connectors| Name | Type | Required | Description |
|---|---|---|---|
space_id | string (uuid) | Required | |
collection_id | string (uuid) | Required |
| Name | Type | Required | Description |
|---|---|---|---|
limit | integer | Optional | Default: 20 |
cursor | string | Optional | |
status | string | Optional |
| Name | Type | Required | Description |
|---|---|---|---|
X-API-Key | string | Optional |
curl -X GET '/api-proxy/v1/spaces/{space_id}/collections/{collection_id}/connectors' \
-H 'Authorization: Bearer <YOUR_TOKEN>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"collection_id": "550e8400-e29b-41d4-a716-446655440000",
"provider_slug": "string",
"principal_id": "550e8400-e29b-41d4-a716-446655440000",
"scope_config": {},
"status": "string",
"sync_schedule": {},
"last_synced_at": {},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
],
"meta": {
"next_cursor": {},
"has_more": false
}
}curl -X GET '/api-proxy/v1/spaces/{space_id}/collections/{collection_id}/connectors' \
-H 'Authorization: Bearer <YOUR_TOKEN>'{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"collection_id": "550e8400-e29b-41d4-a716-446655440000",
"provider_slug": "string",
"principal_id": "550e8400-e29b-41d4-a716-446655440000",
"scope_config": {},
"status": "string",
"sync_schedule": {},
"last_synced_at": {},
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z"
}
],
"meta": {
"next_cursor": {},
"has_more": false
}
}